---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libearlyretlong.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x532A0, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x551E0, symBinAddr: 0xE270, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x555D0, symBinAddr: 0xE660, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56570, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56580, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52DB0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52DB4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52DB8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52F10, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52FC8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x52FCC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52FD0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52FD4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52FD8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52FE0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52FF8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53000, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53008, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53010, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53018, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL7errCode, symObjAddr: 0x5305C, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL20methodExitEventCount, symObjAddr: 0x53060, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL11framesCount, symObjAddr: 0x53064, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x53068, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x53070, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL16midCountDownLong, symObjAddr: 0x53078, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x915B, offset: 0x915B, size: 0x8, addend: 0x0, symName: __ZL7val_exp, symObjAddr: 0x53080, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9174, offset: 0x9174, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x53088, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x918D, offset: 0x918D, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x53090, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x91A6, offset: 0x91A6, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x530A0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91BF, offset: 0x91BF, size: 0x8, addend: 0x0, symName: __ZL14framesExpected, symObjAddr: 0x531D8, symBinAddr: 0xC328, symSize: 0x0 }
  - { offsetInCU: 0x9216, offset: 0x9216, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3B10, symSize: 0x80 }
  - { offsetInCU: 0x92AB, offset: 0x92AB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3A60, symSize: 0xB0 }
  - { offsetInCU: 0x9306, offset: 0x9306, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3960, symSize: 0x100 }
  - { offsetInCU: 0x9599, offset: 0x9599, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3B90, symSize: 0x220 }
  - { offsetInCU: 0x977E, offset: 0x977E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3DB0, symSize: 0xA0 }
  - { offsetInCU: 0x9831, offset: 0x9831, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3E50, symSize: 0x110 }
  - { offsetInCU: 0x9927, offset: 0x9927, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3F60, symSize: 0x150 }
  - { offsetInCU: 0x9A58, offset: 0x9A58, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x40B0, symSize: 0x30 }
  - { offsetInCU: 0x9B39, offset: 0x9B39, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x40E0, symSize: 0x150 }
  - { offsetInCU: 0x9D31, offset: 0x9D31, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4230, symSize: 0x160 }
  - { offsetInCU: 0x9EBD, offset: 0x9EBD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4390, symSize: 0x1B0 }
  - { offsetInCU: 0xA0D8, offset: 0xA0D8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4540, symSize: 0xA0 }
  - { offsetInCU: 0xA1A7, offset: 0xA1A7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x45E0, symSize: 0x20 }
  - { offsetInCU: 0xA1DE, offset: 0xA1DE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4600, symSize: 0x20 }
  - { offsetInCU: 0xA215, offset: 0xA215, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4620, symSize: 0x20 }
  - { offsetInCU: 0xA3C8, offset: 0xA3C8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4640, symSize: 0x1A0 }
  - { offsetInCU: 0xA6EE, offset: 0xA6EE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x47E0, symSize: 0x80 }
  - { offsetInCU: 0xA7B7, offset: 0xA7B7, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4860, symSize: 0x6A0 }
  - { offsetInCU: 0xB34C, offset: 0xB34C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6B0, symBinAddr: 0x60A0, symSize: 0xB0 }
  - { offsetInCU: 0xB3C3, offset: 0xB3C3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4F00, symSize: 0x70 }
  - { offsetInCU: 0xB50F, offset: 0xB50F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4F70, symSize: 0xA0 }
  - { offsetInCU: 0xB666, offset: 0xB666, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5010, symSize: 0x40 }
  - { offsetInCU: 0xB75C, offset: 0xB75C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5050, symSize: 0x2B0 }
  - { offsetInCU: 0xBB02, offset: 0xBB02, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5300, symSize: 0xC0 }
  - { offsetInCU: 0xBC48, offset: 0xBC48, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x53C0, symSize: 0x10 }
  - { offsetInCU: 0xBD0A, offset: 0xBD0A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x53D0, symSize: 0x220 }
  - { offsetInCU: 0xC007, offset: 0xC007, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x55F0, symSize: 0x10 }
  - { offsetInCU: 0xC064, offset: 0xC064, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5600, symSize: 0x1A0 }
  - { offsetInCU: 0xC23C, offset: 0xC23C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DB0, symBinAddr: 0x57A0, symSize: 0x10 }
  - { offsetInCU: 0xC315, offset: 0xC315, size: 0x8, addend: 0x0, symName: _check, symObjAddr: 0x9DC0, symBinAddr: 0x57B0, symSize: 0x420 }
  - { offsetInCU: 0xC7A1, offset: 0xC7A1, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xA1E0, symBinAddr: 0x5BD0, symSize: 0x120 }
  - { offsetInCU: 0xC99B, offset: 0xC99B, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0xA300, symBinAddr: 0x5CF0, symSize: 0x120 }
  - { offsetInCU: 0xCB41, offset: 0xCB41, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0xA420, symBinAddr: 0x5E10, symSize: 0xA0 }
  - { offsetInCU: 0xCBE7, offset: 0xCBE7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretlong_getReady, symObjAddr: 0xA4C0, symBinAddr: 0x5EB0, symSize: 0x180 }
  - { offsetInCU: 0xCDF5, offset: 0xCDF5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretlong_printLong, symObjAddr: 0xA640, symBinAddr: 0x6030, symSize: 0x30 }
  - { offsetInCU: 0xCE5B, offset: 0xCE5B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretlong_check, symObjAddr: 0xA670, symBinAddr: 0x6060, symSize: 0x40 }
  - { offsetInCU: 0xCEAA, offset: 0xCEAA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA760, symBinAddr: 0x6150, symSize: 0x36A }
...
